summaryrefslogtreecommitdiffstats
path: root/libraries/perl-lirc-client
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-13 00:59:12 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:59:12 +0200
commit650b08750cc8771afcfdbd683ee9fa2f991a0873 (patch)
tree56892323bb3e1063c4adee8b145b77568f0d517a /libraries/perl-lirc-client
parentf87caea2479e82700c66b9e1b55fabfe2808123a (diff)
downloadslackbuilds-650b08750cc8771afcfdbd683ee9fa2f991a0873.tar.gz
slackbuilds-650b08750cc8771afcfdbd683ee9fa2f991a0873.tar.xz
libraries/perl-lirc-client: Added to 13.0 repository
Diffstat (limited to 'libraries/perl-lirc-client')
-rw-r--r--libraries/perl-lirc-client/README8
-rw-r--r--libraries/perl-lirc-client/perl-lirc-client.SlackBuild79
-rw-r--r--libraries/perl-lirc-client/perl-lirc-client.info10
-rw-r--r--libraries/perl-lirc-client/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/libraries/perl-lirc-client/README b/libraries/perl-lirc-client/README
new file mode 100644
index 0000000000..2163c23308
--- /dev/null
+++ b/libraries/perl-lirc-client/README
@@ -0,0 +1,8 @@
+perl-lirc-client (A client library for LIRC)
+
+This module provides a simple interface to the Linux Infrared Remote
+Control (Lirc). The module encasuplates parsing the Lirc config file
+(.lircrc), openning a connection to the Lirc device, and retrieving
+events from the device.
+
+This require perl-class-accessor and perl-file-path-expand.
diff --git a/libraries/perl-lirc-client/perl-lirc-client.SlackBuild b/libraries/perl-lirc-client/perl-lirc-client.SlackBuild
new file mode 100644
index 0000000000..850f5925e0
--- /dev/null
+++ b/libraries/perl-lirc-client/perl-lirc-client.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for perl-lirc-client
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=perl-lirc-client
+SRCNAM=Lirc-Client
+VERSION=${VERSION:-1.51}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Remove perlocal.pod, .packlist and .bs from $PKG
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+find $PKG -depth -type d -empty -exec rmdir {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-lirc-client/perl-lirc-client.info b/libraries/perl-lirc-client/perl-lirc-client.info
new file mode 100644
index 0000000000..6d4ec1542a
--- /dev/null
+++ b/libraries/perl-lirc-client/perl-lirc-client.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-lirc-client"
+VERSION="1.51"
+HOMEPAGE="http://search.cpan.org/~mgrimes/Lirc-Client-1.51/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MG/MGRIMES/Lirc-Client-1.51.tar.gz"
+MD5SUM="b5b6421d9f4fc773716be4b5aff49d05"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="michiel"
diff --git a/libraries/perl-lirc-client/slack-desc b/libraries/perl-lirc-client/slack-desc
new file mode 100644
index 0000000000..d233a53cb8
--- /dev/null
+++ b/libraries/perl-lirc-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-lirc-client: perl-lirc-client (A client library for LIRC)
+perl-lirc-client:
+perl-lirc-client: This module provides a simple interface to the Linux Infrared Remote
+perl-lirc-client: Control (Lirc). The module encasuplates parsing the Lirc config file
+perl-lirc-client: (.lircrc), openning a connection to the Lirc device, and retrieving
+perl-lirc-client: events from the device.
+perl-lirc-client:
+perl-lirc-client:
+perl-lirc-client:
+perl-lirc-client:
+perl-lirc-client: